CHECK-MODULE(1)

NAME
check-module - program to check gnulib modules.

SYNOPSIS
check-module [OPTIONS] FILE...

DESCRIPTION
The GNU portability library is a macro system and C declarations and definitions for commonly-used API elements and abstracted system behaviors. It can be used to improve portability and other functionality in your programs.

check-module reads a module description file and derives the set of files included directly by any .c or .h file listed in the `Files:' section. First, it takes the union of all such sets for any dependent modules. Then, it compares that set with the set derived from the names listed in the various Files: sections.

OPTIONS

-h, --help
    Show summary of options.

-v, --version
    Show version of program.

BUGS
Report bugs to <bug-gnulib@gnu.org>.

SEE ALSO
gnulib(1).

AUTHOR
check-module was written by the Free Software Foundation and others (sources of various origins).

This manual page was written by Daniel Baumann <daniel@debian.org>, for the Debian project (but may be used by others).